Edit Store

API Explorer
https://externalapi.ipospays.tech
POST

This API allows you to enable or disable features at the store level for an existing merchant.

Currently supported: Bank Payments (ACH)

Bank Payments (ACH)

Use this API to enable or disable bank (ACH) payments for a store.

Supported processors:

  • Payroc

  • Paya

  • Vericheck

Authorization

AuthorizationHeader
token(Enter the auth token generated from the authentication endpoint)<token>

Authentication token generated using the API Key and Secret Key. Required for all API requests.

In: header

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v2/store/add-on" \  -H "Content-Type: application/json" \  -d '{    "storeId": "storeId12chr",    "achDetails": {      "achStatus": true,      "achProcessorName": "Paya",      "payaDetails": {        "isMandatoryCheck": true,        "terminalSettings": {          "web": "1234",          "tel": "5678",          "ppd": "9012",          "ccd": "3456"        }      }    }  }'
{
  "achDetails": {
    "response": "success",
    "msg": "ACH updated successfully",
    "status": 200
  },
  "message": "ACH updated successfully",
  "statusCode": 200,
  "request_id": "TEST-20260303080942-9MJG2S",
  "timestamp": "2026-03-03T08:09:42.238Z"
}
{
  "message": "Store not found with the provided Id.",
  "status_code": 404,
  "request_id": "IPOS-20250216120000-ABC123",
  "timestamp": "2025-02-16T12:00:00.000Z"
}
{
  "message": "storeId is required",
  "statusCode": 422,
  "request_id": "TEST-20260303081013-EZBG-1",
  "timestamp": "2026-03-03T08:10:13.159Z"
}